# Comments: listByBlog

Retrieves the comments for a blog, across all posts, possibly filtered.
[Try it now](https://developers.google.com/blogger/docs/3.0/reference/comments/listByBlog#try-it).

## Request

### HTTP request

```
GET https://www.googleapis.com/blogger/v3/blogs/blogId/comments
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Required parameters** |||
| `blogId` | `string` | ID of the blog to fetch comments from. |
| **Optional parameters** |||
| `endDate` | `datetime` | Latest date of comment to fetch, a date-time with RFC 3339 formatting. |
| `fetchBodies` | `boolean` | Whether the body content of the comments is included. |
| `maxResults` | `unsigned integer` | Maximum number of comments to include in the result. |
| `pageToken` | `string` | Continuation token if request is paged. |
| `startDate` | `datetime` | Earliest date of comment to fetch, a date-time with RFC 3339 formatting. |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "blogger#commentList",
  "nextPageToken": string,
  "prevPageToken": string,
  "items": [
    comments Resource
  ]
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `kind` | `string` | The kind of this entry. Always `blogger#commentList` |   |
| `nextPageToken` | `string` | Pagination token to fetch the next page, if one exists. |   |
| `prevPageToken` | `string` | Pagination token to fetch the previous page, if one exists. |   |
| `items[]` | `list` | The List of Comments for a Post. |   |

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.